#include <bits/stdc++.h>
using namespace std;

int nm[1505][1505];
int n,m;

int main(){

    cin >> n >> m;
    for(int i=1;i<=n;i++){
        for(int j=1;j<=m;j++){
            cin >> nm[i][j];
        }
    }
    
    cout << 0 << endl;
return 0;
}